Hlas značky se používá
API při tomto problému vrací 409 Conflict. Hodnota type je https://lingo.dev/docs/api/errors/brand-voice-in-use. Společnou strukturu všech chyb najdete v části Chyby a stavové kódy.
Hlas značky <id> nelze odstranit, dokud jej používají 2 engine. Nejprve jej od těchto engine odpojte.
Pole#
Kromě standardních položek type, status, title a detail obsahuje tělo odpovědi následující pole. Z nich se sestavuje text detail, takže klient může místo něj zobrazit vlastní text.
| Pole | Typ |
|---|---|
id | string |
engineCount | integer | null |
Příklad#
json
{
"detail": "Brand voice <id> cannot be deleted while 2 engines apply it. Detach it from those engines first.",
"id": "<id>",
"engineCount": 2,
"type": "https://lingo.dev/docs/api/errors/brand-voice-in-use",
"status": 409,
"title": "Brand voice in use"
}Koncové body vracející tuto chybu#
DELETE /v2/brand-voices/{id}